<?php
/**
 * @file
 * ocio_featured_slideshow.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function ocio_featured_slideshow_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'featured_slideshow';
  $view->description = '';
  $view->tag = 'OCIO Featured Slideshow';
  $view->base_table = 'node';
  $view->human_name = 'Featured Slideshow';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 't';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'edit any featured_slide content';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'flexslider';
  $handler->display->display_options['style_options']['optionset'] = 'ocio_flexslider';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Summary */
  $handler->display->display_options['fields']['field_featured_summary']['id'] = 'field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['table'] = 'field_data_field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['field'] = 'field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['label'] = '';
  $handler->display->display_options['fields']['field_featured_summary']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_featured_summary']['element_label_colon'] = FALSE;
  /* Field: Field: Link */
  $handler->display->display_options['fields']['field_ocio_link']['id'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['table'] = 'field_data_field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['field'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['label'] = '';
  $handler->display->display_options['fields']['field_ocio_link']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_ocio_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_ocio_link']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['field_ocio_link']['type'] = 'link_plain';
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_basic_image_image']['id'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['table'] = 'field_data_field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['field'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['label'] = '';
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['text'] = '[field_basic_image_image]
<span class="flex-meta">
<span class="flex-title">[title]</span>
<span class="flex-summary">[field_featured_summary]</span>
</span>
';
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['path'] = '[field_ocio_link]';
  $handler->display->display_options['fields']['field_basic_image_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_basic_image_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_basic_image_image']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Sort criterion: Draggableviews: Weight */
  $handler->display->display_options['sorts']['weight']['id'] = 'weight';
  $handler->display->display_options['sorts']['weight']['table'] = 'draggableviews_structure';
  $handler->display->display_options['sorts']['weight']['field'] = 'weight';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_view'] = 'featured_slideshow:page_1';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_arguments'] = 'none';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_arguments_ignore_empty'] = 0;
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_new_items_bottom_list'] = 1;
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'featured_slide' => 'featured_slide',
  );

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Slide Text Color */
  $handler->display->display_options['fields']['field_banner_image_text_color']['id'] = 'field_banner_image_text_color';
  $handler->display->display_options['fields']['field_banner_image_text_color']['table'] = 'field_data_field_banner_image_text_color';
  $handler->display->display_options['fields']['field_banner_image_text_color']['field'] = 'field_banner_image_text_color';
  $handler->display->display_options['fields']['field_banner_image_text_color']['label'] = '';
  $handler->display->display_options['fields']['field_banner_image_text_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_banner_image_text_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_banner_image_text_color']['type'] = 'list_key';
  /* Field: Content: Slide Text Background  */
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['id'] = 'field_banner_image_text_bkground';
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['table'] = 'field_data_field_banner_image_text_bkground';
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['field'] = 'field_banner_image_text_bkground';
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['label'] = '';
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_banner_image_text_bkground']['type'] = 'list_key';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<span>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Summary */
  $handler->display->display_options['fields']['field_featured_summary']['id'] = 'field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['table'] = 'field_data_field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['field'] = 'field_featured_summary';
  $handler->display->display_options['fields']['field_featured_summary']['label'] = '';
  $handler->display->display_options['fields']['field_featured_summary']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_featured_summary']['element_label_colon'] = FALSE;
  /* Field: Content: Hide Title and Summary */
  $handler->display->display_options['fields']['field_disable_title']['id'] = 'field_disable_title';
  $handler->display->display_options['fields']['field_disable_title']['table'] = 'field_data_field_disable_title';
  $handler->display->display_options['fields']['field_disable_title']['field'] = 'field_disable_title';
  $handler->display->display_options['fields']['field_disable_title']['label'] = '';
  $handler->display->display_options['fields']['field_disable_title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_disable_title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_disable_title']['alter']['text'] = '<span class="flex-meta element-invisible"></span>';
  $handler->display->display_options['fields']['field_disable_title']['alter']['max_length'] = '0';
  $handler->display->display_options['fields']['field_disable_title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['field_disable_title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['field_disable_title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_disable_title']['empty'] = '<span class="flex-meta [field_banner_image_text_color] [field_banner_image_text_bkground]">
<span class="flex-title">[title]</span>
<span class="flex-summary">[field_featured_summary]</span>
</span>';
  $handler->display->display_options['fields']['field_disable_title']['empty_zero'] = TRUE;
  /* Field: Field: Link */
  $handler->display->display_options['fields']['field_ocio_link']['id'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['table'] = 'field_data_field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['field'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['label'] = '';
  $handler->display->display_options['fields']['field_ocio_link']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_ocio_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_ocio_link']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['field_ocio_link']['type'] = 'link_plain';
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_basic_image_image']['id'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['table'] = 'field_data_field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['field'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['label'] = '';
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['text'] = '[field_basic_image_image]
[field_disable_title]';
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_basic_image_image']['alter']['path'] = '[field_ocio_link]';
  $handler->display->display_options['fields']['field_basic_image_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_basic_image_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_basic_image_image']['settings'] = array(
    'image_style' => 'ocio_slideshow_image',
    'image_link' => '',
  );

  /* Display: Slideshow Workbench Tab Page */
  $handler = $view->new_display('page', 'Slideshow Workbench Tab Page', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Featured Slides';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'draggableviews' => 'draggableviews',
    'field_basic_image_image' => 'field_basic_image_image',
    'title' => 'title',
    'field_ocio_link' => 'field_ocio_link',
    'edit_node' => 'nothing',
    'delete_node' => 'nothing',
    'nothing' => 'nothing',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'draggableviews' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_basic_image_image' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_ocio_link' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'delete_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing' => array(
      'align' => '',
      'separator' => '&emsp;',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'Drag slides to arrange the order in which they will appear on the front page.';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There is no content available for you to edit.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Draggableviews: Content */
  $handler->display->display_options['fields']['draggableviews']['id'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['table'] = 'node';
  $handler->display->display_options['fields']['draggableviews']['field'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['label'] = 'Weight';
  $handler->display->display_options['fields']['draggableviews']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['ajax'] = 0;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_basic_image_image']['id'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['table'] = 'field_data_field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['field'] = 'field_basic_image_image';
  $handler->display->display_options['fields']['field_basic_image_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_basic_image_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_basic_image_image']['settings'] = array(
    'image_style' => 'medium',
    'image_link' => '',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Field: Link */
  $handler->display->display_options['fields']['field_ocio_link']['id'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['table'] = 'field_data_field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['field'] = 'field_ocio_link';
  $handler->display->display_options['fields']['field_ocio_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_ocio_link']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['field_ocio_link']['type'] = 'link_url';
  /* Field: Content: Published */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'node';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['not'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  /* Field: Content: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Last Updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'time ago';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'panopoly_day';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Operations';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'featured_slide' => 'featured_slide',
  );
  $handler->display->display_options['path'] = 'admin/workbench/slideshow';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Slideshow';
  $handler->display->display_options['menu']['weight'] = '10';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['featured_slideshow'] = $view;

  return $export;
}
