<?php
/**
 * @file
 * ocio_media.features.features_overrides.inc
 */

/**
 * Implements hook_features_override_default_overrides().
 */
function ocio_media_features_override_default_overrides() {
  // This code is only used for UI in features. Exported alters hooks do the magic.
  $overrides = array();

  // Exported overrides for: file_display
  $overrides["file_display.audio__preview__file_field_file_default.weight"] = -45;
  $overrides["file_display.audio__preview__file_field_media_large_icon.weight"] = -46;
  $overrides["file_display.document__preview__file_field_file_default.weight"] = -46;
  $overrides["file_display.document__preview__file_field_media_large_icon.weight"] = -47;
  $overrides["file_display.image__default__file_field_file_default.status"] = FALSE;
  $overrides["file_display.image__default__file_field_file_default.weight"] = -42;
  $overrides["file_display.image__preview__file_field_file_default.status"] = FALSE;
  $overrides["file_display.image__preview__file_field_file_default.weight"] = -46;
  $overrides["file_display.image__preview__file_field_image.settings|image_style"] = 'media_thumbnail';
  $overrides["file_display.image__preview__file_field_image.weight"] = -48;
  $overrides["file_display.image__preview__file_field_media_large_icon.status"] = FALSE;
  $overrides["file_display.image__preview__file_field_media_large_icon.weight"] = -47;
  $overrides["file_display.video__default__media_vimeo_video.settings|protocol"] = 'http://';
  $overrides["file_display.video__default__media_vimeo_video.settings|protocol_specify"] = FALSE;
  $overrides["file_display.video__default__media_youtube_video.settings|captions"] = FALSE;
  $overrides["file_display.video__default__media_youtube_video.settings|modestbranding"] = 1;
  $overrides["file_display.video__default__media_youtube_video.settings|rel"] = 0;
  $overrides["file_display.video__default__media_youtube_video.weight"] = -47;
  $overrides["file_display.video__preview__file_field_file_default.status"] = FALSE;
  $overrides["file_display.video__preview__file_field_file_default.weight"] = -41;
  $overrides["file_display.video__preview__file_field_media_large_icon.status"] = FALSE;
  $overrides["file_display.video__preview__file_field_media_large_icon.weight"] = -42;
  $overrides["file_display.video__preview__media_vimeo_image.weight"] = -48;
  $overrides["file_display.video__preview__media_youtube_image.weight"] = -49;

  // Exported overrides for: file_type
  $overrides["file_type.audio.disabled"] = FALSE;
  $overrides["file_type.document.disabled"] = FALSE;
  $overrides["file_type.document.mimetypes|10"] = 'application/vnd.openxmlformats-officedocument.presentationml.presentation';
  $overrides["file_type.document.mimetypes|11"] = 'application/vnd.openxmlformats-officedocument.wordprocessingml.document';
  $overrides["file_type.document.mimetypes|12"] = 'application/vnd.openxmlformats-officedocument.wordprocessingml.template';
  $overrides["file_type.document.mimetypes|13"] = 'application/acad';
  $overrides["file_type.document.mimetypes|14"] = 'application/dxf';
  $overrides["file_type.document.mimetypes|4"] = 'application/zip';
  $overrides["file_type.document.mimetypes|5"] = 'application/vnd.ms-powerpoint';
  $overrides["file_type.document.mimetypes|6"] = 'application/vnd.oasis.opendocument.text';
  $overrides["file_type.document.mimetypes|7"] = 'application/vnd.oasis.opendocument.spreadsheet';
  $overrides["file_type.document.mimetypes|8"] = 'application/vnd.oasis.opendocument.presentation';
  $overrides["file_type.document.mimetypes|9"] = 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet';
  $overrides["file_type.flash.disabled"] = TRUE;
  $overrides["file_type.image.disabled"] = FALSE;
  $overrides["file_type.video.disabled"] = FALSE;

  // Exported overrides for: views_view
  $overrides["views_view.media_default.display|default|display_options|filters|field_file_tags_tid"] = array(
    'id' => 'field_file_tags_tid',
    'table' => 'field_data_field_file_tags',
    'field' => 'field_file_tags_tid',
    'exposed' => TRUE,
    'expose' => array(
      'operator_id' => 'field_file_tags_tid_op',
      'label' => 'Tag',
      'operator' => 'field_file_tags_tid_op',
      'identifier' => 'field_file_tags_tid',
      'remember_roles' => array(
        2 => 2,
        1 => 0,
        5 => 0,
        4 => 0,
        7 => 0,
        6 => 0,
        3 => 0,
      ),
    ),
    'type' => 'select',
    'vocabulary' => 'wcm_file_tags',
  );
  $overrides["views_view.media_default.display|default|display_options|filters|schema_type"] = array(
    'id' => 'schema_type',
    'table' => 'file_managed',
    'field' => 'schema_type',
    'exposed' => TRUE,
    'expose' => array(
      'operator_id' => 'schema_type_op',
      'label' => 'Storage',
      'operator' => 'schema_type_op',
      'identifier' => 'schema_type',
      'remember_roles' => array(
        2 => 2,
        1 => 0,
        5 => 0,
        4 => 0,
        7 => 0,
        6 => 0,
        3 => 0,
      ),
    ),
  );
  $overrides["views_view.media_default.display|media_browser_my_files|display_options|filters|field_file_tags_tid"] = array(
    'id' => 'field_file_tags_tid',
    'table' => 'field_data_field_file_tags',
    'field' => 'field_file_tags_tid',
    'exposed' => TRUE,
    'expose' => array(
      'operator_id' => 'field_file_tags_tid_op',
      'label' => 'Tag',
      'operator' => 'field_file_tags_tid_op',
      'identifier' => 'field_file_tags_tid',
      'remember_roles' => array(
        2 => 2,
        1 => 0,
        5 => 0,
        4 => 0,
        7 => 0,
        6 => 0,
        3 => 0,
      ),
    ),
    'type' => 'select',
    'vocabulary' => 'wcm_file_tags',
  );
  $overrides["views_view.media_default.display|media_browser_my_files|display_options|filters|schema_type"] = array(
    'id' => 'schema_type',
    'table' => 'file_managed',
    'field' => 'schema_type',
    'exposed' => TRUE,
    'expose' => array(
      'operator_id' => 'schema_type_op',
      'label' => 'Storage',
      'operator' => 'schema_type_op',
      'identifier' => 'schema_type',
      'remember_roles' => array(
        2 => 2,
        1 => 0,
        5 => 0,
        4 => 0,
        7 => 0,
        6 => 0,
        3 => 0,
      ),
    ),
  );

 return $overrides;
}
