<?php

/**
 * @file
 * Contains a pre-process hook for 'html'.
 */

/**
 * Implements hook_preprocess_TEMPLATE().
 */
function wcm_omega_preprocess_html(&$vars) {
  global $base_path;
  
  $menu_item = menu_get_item();
  if ($menu_item['page_callback'] == 'views_page') {
    $vars['classes_array'][] = 'views-page';
  }
  
  $theme_path = $base_path . drupal_get_path('theme', 'wcm_omega');
  $vars['favicon'] = $theme_path .'/images/osu-navbar/favicon.ico';
  $vars['osufonts'] = $theme_path .'/fonts/osu-fonts/webfonts.css';
  $vars['classes_array'][] = 'omega-layout-' . omega_theme_get_setting('omega_layout');
  $vars['classes_array'][] = 'footer-' . theme_get_setting('wcm_omega_color_footer');
  $vars['classes_array'][] = 'type-' . theme_get_setting('wcm_omega_typography_group');
}
